// Copyright (C) 2008 - 2010 - Michael Baudin

// dispmat_gersh --
//   Draw the Gershgorin circles of the given matrix. 
function dispmat_gersh ( A )
  n  = size ( A , "r" )
  xmin = %inf
  ymin = %inf
  xmax = -%inf
  ymax = -%inf
  // Compute xmax, xmin, ymax, ymin
  for i = 1 : n
    r = sum(abs(A(i,:))) - abs(A(i,i));
    xmax = max ( xmax , real(A(i,i)) + r );
    xmin = min ( xmin , real(A(i,i)) - r );
    ymax = max ( ymax , imag(A(i,i)) + r );
    ymin = min ( ymin , imag(A(i,i)) - r );
  end
  isoview(xmin,xmax,ymin,ymax)
  // Draw the circles
  for i = 1 : n
    r = sum(abs(A(i,:))) - abs(A(i,i))
    xcircle ( real(A(i,i)) , imag(A(i,i)) , r )
    plot ( real(A(i,i)) , imag(A(i,i)) , "bx" )
  end
endfunction


// xcircle --
//   Draw a circle of radius r at given center x,y 
function xcircle ( x , y , r )
  xc = x - r
  yc = y + r
  xarc( xc , yc , 2*r , 2*r , 0 , 64 * 360 )
endfunction

