// Copyright (C) 2008 - 2010 - Michael Baudin

// dispmat_plotconf --
//   Configure a matrix of values with entries
// this = dispmat_plotconf ( this , key , i , j , value ) 
function this = dispmat_plotconf ( this , key , i , j , value ) 
  ncols = size(this.A,"r")
  nrows = size(this.A,"c")
  select key
  case "-background" then
    this.uicontrols((i-1)*ncols + j).BackgroundColor = value
  case "-value" then
    this.A(i,j) = value
    this.uicontrols((i-1)*ncols + j).String = string(value)
  case "-fontsize" then
    this.uicontrols((i-1)*ncols + j).FontSize = value
  case "-fontunits" then
    this.uicontrols((i-1)*ncols + j).FontUnits = value
  case "-fontweight" then
    this.uicontrols((i-1)*ncols + j).FontWeight = value
  case "-fontname" then
    this.uicontrols((i-1)*ncols + j).FontName = value
  case "-foregroundcolor" then
    this.uicontrols((i-1)*ncols + j).ForegroundColor = value
  case "-horizontalalignment" then
    this.uicontrols((i-1)*ncols + j).HorizontAlalignment = value
  case "-fontangle" then
    this.uicontrols((i-1)*ncols + j).FontAngle = value
  else
    errmsg = msprintf(gettext("%s: Unexpected key: %s."), "dispmat_plotconf", key );
    error(errmsg)
  end
endfunction

