// Copyright (C) 2008 - 2010 - Michael Baudin

// dispmat_see --
//   Pictures of a matrix and its pseudo-inverse.
// References
//      "Algorithm 694: a collection of test matrices in MATLAB", Nicolas Higham,
//      ACM Transactions on Mathematical Software, Volume 17 ,  Issue 3  (September 1991),
//      Pages: 289 - 305
//
//      "Higham's Test Matrices ", John Burkardt, 2005, 
//      http://people.sc.fsu.edu/~burkardt/m_src/test_matrix/test_matrix.html
//
//      "The Test Matrix Toolbox for Matlab (Version 3.0)", Nicolas Higham,
//      Numerical Analysis Report No. 276, September 1995, 
//      Manchester Centre for Computational Mathematics, 
//      The University of Manchester
function dispmat_see ( A ) 
  // Print A
  subplot(2,2,1)
  mesh(A)
  // Print the pseudo-inverse of A
  B = pinv(A);
  subplot(2,2,2)
  mesh(real(B))
  // Print the svd of A in log scale
  s = svd(A);
  subplot(2,2,3)
  plot(s, 'og')
  h = gcf()
  h.children(1).children.children.line_mode="on"
  h.children(1).log_flags="nln"
  // Plot the real and imaginary parts of the eigenvalues
  subplot(2,2,4)
  s = spec(A)
  plot(real(s),imag(s),"xb")
endfunction


